#!/bin/sh

# this script is public domain
# there is no warranty

MYDATE=`date +%Y%m%d`
MYDIR="tausta-${MYDATE}"

cd ~/.tausta.sh.dir || exit 1
./compileall.sh

cd /tmp || exit 1

mkdir ./${MYDIR}
for f in README.* compileall.sh docutils.conf RST.tex
do
  cp ~/.tausta.sh.dir/${f} ${MYDIR}/
done

cp ~/.tausta.sh.dir/tausta.example.conf ${MYDIR}/tausta.conf
cp ~/.tausta.sh.dir/tausta.rc.dist.sh ${MYDIR}/tausta.rc.sh

for f in tausta.sh tausta.ksh.sh release-tausta.sh
do
  cp ~/scripts/${f} ${MYDIR}/
done

# AFAIK star is faster and better than GNU tar
# http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/star.html
if star --version 2>&1 | grep -i "Schilling" > /dev/null 2>&1
then
    TAR_BIN='star -time -fifostats '
    echo "Cool... You have star, not just GNU tar or plain tar"
elif gtar --help 2>&1 | grep -i "gnu.org" > /dev/null 2>&1
then
    TAR_BIN="gtar"
    echo "Cool... You have GNU tar, not just plain tar"
elif tar --help 2>&1 | grep -i "gnu.org" > /dev/null 2>&1
then
    TAR_BIN="tar"
    echo "Cool... You have GNU tar, not just plain tar"
else
    echo "support for other tar-versions not yet available"
    exit 1
fi

$TAR_BIN -v -c -f - ${MYDIR} | bzip2 -9vvv > ${MYDIR}.tar.bz2
chmod ugo+r ${MYDIR}.tar.bz2
echo "${MYDIR}.tar.bz2 done"
scp ${MYDIR}.tar.bz2 jalava.cc.jyu.fi:~/www/hacks/sh/tausta/ \
 && rm -rf ${MYDIR}*
ssh jalava.cc.jyu.fi "chmod -v ugo+r ~/www/hacks/sh/tausta/*"


